=== debian/changelog ===
tp-hard-hp (0.13) wheezy; urgency=low

  * Update Makefile to version 0.24
  * Partial update debian/rules to version 0.24
  * Update debian/control file
  * Update debian/copyright

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 06 Feb 2014 16:20:07 +0000

tp-hard-hp (0.12) updates; urgency=low

  * Drop depends on hpadu for packages tp-hard-msa20, tp-hard-sa6400,
    tp-hard-sa6i because hpacucli gained the capability for diagnostic
    report.
  * Update copyright file with DEP4 format.
  * Update Makefile to version 0.19~rc1

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 05 Apr 2012 12:30:18 +0100

tp-hard-hp (0.11) updates; urgency=low

  * Added depend on firmware-linux for tp-hard-dl320g3
  * Added depend on hp-ilo-rom for tp-hard-dl360g4p

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 28 Jun 2011 20:03:40 +0100

tp-hard-hp (0.10) updates; urgency=low

  * Added depend on hponcfg and hp-ilo-rom for tp-hard-dl320g3.
  * Added depend on hp-ilo-rom for tp-hard-dl360g4.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 24 Jun 2011 20:51:58 +0100

tp-hard-hp (0.9) updates; urgency=low

  *  Dropped recommends on ia32-libs for package tp-hard-dl360g4p.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 16 May 2011 19:31:24 +0100

tp-hard-hp (0.8) updates; urgency=low

  * Added depend on xsltproc.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 06 May 2011 17:41:51 +0100

tp-hard-hp (0.7) updates; urgency=low

  * Added depend on hponcfg for tp-hard-dl360g4p and tp-hard-dl360g4.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 06 May 2011 17:13:45 +0100

tp-hard-hp (0.6) updates; urgency=low

  * Updated Makefile to version v0.17
  * Added recommends on lib32gcc1, because hp-health lacks this depend on
    amd64 archs.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 19 Apr 2011 15:38:32 +0100

tp-hard-hp (0.5) updates; urgency=low

  * add depends on arrayprobe to the tasks: tp-hard-msa20, tp-hard-sa6400,
    tp-hard-sa6i

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 06 Jul 2010 20:03:02 +0100

tp-hard-hp (0.4) updates; urgency=low

  * tp-health in lenny replaces hpasm

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 04 Jun 2010 18:32:59 +0100

tp-hard-hp (0.3) updates; urgency=low

  * create tp-hard-dl380

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 16 May 2007 17:58:39 +0100

tp-hard-hp (0.2) updates; urgency=low

  * create tp-hard-dl360g4p

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 16 May 2007 01:55:43 +0100

tp-hard-hp (0.1) updates; urgency=low

  * create tp-hard-dl385
  * changed arch from any to all
  * default distribution changed from sarge to etch
  * updated Makefile

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 12 Apr 2007 20:58:36 +0100

tp-hard-hp (0.0) unstable; urgency=low

  * Initial Release.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 30 May 2006 22:30:14 +0100
