=== debian/control ===
Source: tp-hard-hp
Section: contrib/dsi
Priority: extra
Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: tp-hard-msa20
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health, hpacucli,
 hp-msa20-rom, 
Recommends: lib32gcc1, arrayprobe,
Suggests: hp-rom-doc
Description: represents the presence of a MSA20
 Can be used to tell the capability of the hardware and to install
 important packages to use and manage the MSA20.

Package: tp-hard-dl385
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm| hp-health, 
Recommends: lib32gcc1
Suggests: hp-rom-doc, hponcfg, hp-dl385a05-rom, xsltproc,
Description: represents the Proliant DL-385
 Use it to tell that model of this machine is a HP Proliant DL-385.
 You can automatically install the HP software to manage the machine,
 update the firmware and to avoid install incompatible software or
 firmware.

Package: tp-hard-dl380
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health, 
Recommends: lib32gcc1
Suggests: hp-rom-doc, hponcfg, xsltproc,
Description: represents the Proliant DL-380
 Use it to tell that model of this machine is a HP Proliant DL-380.
 You can automatically install the HP software to manage the machine,
 update the firmware and to avoid install incompatible software or
 firmware.

Package: tp-hard-dl360g4p
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health,
 hp-dl360g4pp54-rom, hponcfg, xsltproc, hp-ilo-rom,
Recommends: lib32gcc1
Suggests: hp-rom-doc,
Description: represents the Proliant DL-360 G4p P54
 Use it to tell that model of this machine is a HP Proliant DL-360 G4p
 P54.  You can automatically install the HP software to manage the
 machine, update the firmware and to avoid install incompatible
 software or firmware.

Package: tp-hard-dl360g4
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health,
 hp-dl360g4p52-rom, hponcfg, xsltproc, hp-ilo-rom,
Recommends: lib32gcc1
Suggests: hp-rom-doc, 
Description: represents the Proliant DL-360 G4 P52
 Use it to tell that model of this machine is a HP Proliant DL-360 G4
 P52.  You can automatically install the HP software to manage the
 machine, update the firmware and for avoiding to install incompatible
 software or firmware.

Package: tp-hard-dl320g3
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health,
 hponcfg, xsltproc, hp-ilo-rom, firmware-linux
Recommends: lib32gcc1, 
Suggests: hp-rom-doc,
Description: represents the Proliant DL-320 G3
 Use it to tell that model of this machine is a HP Proliant DL-320 G3.
 You can automatically install the HP software to manage the
 machine, update the firmware and to avoid install incompatible
 software or firmware.

Package: tp-hard-sa6400
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health, hpacucli,
 hp-sa6400-rom, 
Recommends: lib32gcc1, arrayprobe,
Suggests: hp-rom-doc, hponcfg, xsltproc,
Description: represents the SCSI controller Smart Array 640x
 Use it to tell that you have installed a SCSI contoller Smart Array
 6400.  You can automatically install the HP software to manage the
 machine, update the firmware and to avoid install incompatible
 software or firmware.

Package: tp-hard-sa6i
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, hpasm | hp-health, hpacucli,
 hp-sa6i-rom, 
Recommends: lib32gcc1, arrayprobe,
Suggests: hp-rom-doc, hponcfg, xsltproc,
Description: represents the SCSI controller Smart Array 6i
 Use it to tell that you have installed a SCSI contoller Smart Array
 6i.  You can automatically install the HP software to manage the
 machine, update the firmware and to avoid install incompatible
 software or firmware.
